vigra - ConstImageIterator< PIXELTYPE > Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| ConstImageIterator< PIXELTYPE > Class Template Reference Image Iterators |

Standard 2D random access const iterator for images that store the data as a linear array. More...

`#include <vigra/imageiterator.hxx>`

Inheritance diagram for ConstImageIterator< PIXELTYPE >:

## Public Member Functions
| ConstImageIterator (pointer base, int ystride)
| ConstImageIterator ()
Public Member Functions inherited from ImageIteratorBase< ConstImageIterator< PIXELTYPE >, PIXELTYPE, PIXELTYPE const &, PIXELTYPE const * >
bool | operator== (ImageIteratorBase const &rhs) const
bool | operator!= (ImageIteratorBase const &rhs) const
difference_type | operator- (ImageIteratorBase const &rhs) const
ConstImageIterator< PIXELTYPE > | operator- (difference_type const &s) const
ConstImageIterator< PIXELTYPE > & | operator+= (difference_type const &s)
ConstImageIterator< PIXELTYPE > & | operator-= (difference_type const &s)
ConstImageIterator< PIXELTYPE > | operator+ (difference_type const &s) const
reference | operator* () const
pointer | operator-> () const
index_reference | operator[] (Diff2D const &d) const
pointer | operator[] (int dy) const
index_reference | operator() (int dx, int dy) const

## Additional Inherited Members
Public Types inherited from ImageIteratorBase< ConstImageIterator< PIXELTYPE >, PIXELTYPE, PIXELTYPE const &, PIXELTYPE const * >
typedef ColumnIteratorSelector::res | column_iterator
typedef Diff2D | difference_type
typedef PIXELTYPE const & | index_reference
typedef image_traverser_tag | iterator_category
typedef vigra::detail::DirectionSelector < UnstridedArrayTag > ::template type< pointer > | MoveX
typedef vigra::detail::DirectionSelector < StridedArrayTag >::template type< int > | MoveY
typedef PIXELTYPE | PixelType
typedef PIXELTYPE const * | pointer
typedef PIXELTYPE const & | reference
typedef RowIteratorSelector::res | row_iterator
typedef PIXELTYPE | value_type
Public Attributes inherited from ImageIteratorBase< ConstImageIterator< PIXELTYPE >, PIXELTYPE, PIXELTYPE const &, PIXELTYPE const * >
MoveX | x
MoveY | y
Protected Member Functions inherited from ImageIteratorBase< ConstImageIterator< PIXELTYPE >, PIXELTYPE, PIXELTYPE const &, PIXELTYPE const * >
| ImageIteratorBase (pointer base, int ystride)
| ImageIteratorBase (pointer base, int xstride, int ystride)
| ImageIteratorBase (ImageIteratorBase const &rhs)
| ImageIteratorBase ()
ImageIteratorBase & | operator= (ImageIteratorBase const &rhs)

## Detailed Description

### template<class PIXELTYPE>
class vigra::ConstImageIterator< PIXELTYPE >

Standard 2D random access const iterator for images that store the data as a linear array.

Most functions are inherited from ImageIteratorBase.

#include <vigra/imageiterator.hxx>
Namespace: vigra

## Constructor & Destructor Documentation

ConstImageIterator | ( | pointer | base,
|  | int | ystride
| ) |  |

    Construct from raw memory with a vertical stride of <TT>ystride</TT>.

`ystride` must equal the physical image width (row length), even if the iterator will only be used for a sub image. If the raw memory is encapsulated in an image object this object should have a factory function that constructs the iterator.

ConstImageIterator | ( |  | ) |

Default constructor

The documentation for this class was generated from the following file:

- vigra/imageiterator.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.10.0 (Mon Nov 18 2013)